Severity: normal

Description

Check if these are somehow useful for us

https://www.infog.com/articles/ci-rest-docs?utm_source=infogWeeklyNewsletter&utm_medium=WeeklyNL EditorialContent_develop
ment&utm_campaign=05022017news&utm_content=b (arguments why code and documentation should go togehter, see also
keywords in comment 3; however most of them are not so relevant for us)

https://github.com/PharkMillups/beautiful-docs (good list with examples, code generator tools and a few theoretical articles)

https:/stripe.com/docs/api (less interesting)

http:/docs.basho.com/riak/ts/1.5.2/ (less interesting)

https://jacobian.org/series/great-documentation/

History

#1 - 03/11/2022 03:41 PM - Andreas Miiller
- Due date set to 03/18/2022
- Target version changed from Update Documentation to Release 5.31

- Start date set to 03/14/2022

Maybe helpful for the discussion on Mar 18th

#2 - 03/16/2022 01:55 PM - Andreas Miiller
- Start date changed from 03/14/2022 to 03/16/2022

#3 - 03/17/2022 11:20 PM - Andreas Miiller
- Tracker changed from task to discussion

- Description updated

- Status changed from New to In Progress

- Priority changed from New to Highest

- % Done changed from 0 to 70

"Any interested developers, including customers, can subscribe to notifications on pull requests when the documentation is in the same repository as
the code."

"Open reviews for documentation and code together"
"Bug tracking for documentation”

"JSON tester"

"Validated requests and responses”

#4 - 03/18/2022 03:29 PM - Andreas Miuller

- Description updated
https://www.infoq.com/articles/ci-rest-docs?utm_source=infoqWeeklyNewsletter&utm_medium=WeeklyNL_EditorialContent_development&utm_campaign=05022017news&utm_content=b
https://www.infoq.com/articles/ci-rest-docs?utm_source=infoqWeeklyNewsletter&utm_medium=WeeklyNL_EditorialContent_development&utm_campaign=05022017news&utm_content=b
https://github.com/PharkMillups/beautiful-docs
https://stripe.com/docs/api
http://docs.basho.com/riak/ts/1.5.2/
https://jacobian.org/series/great-documentation/

#5 - 04/05/2022 06:14 PM - Andreas Miiller
- Status changed from In Progress to Closed

- % Done changed from 70 to 100

Most interesting is the beautiful-docs link.
